Bug 171259 - xcdroast handles high-bit characters in cddb data badly
xcdroast handles high-bit characters in cddb data badly
Product: Fedora
Classification: Fedora
Component: xcdroast (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2005-10-19 20:55 EDT by Joe Harrington
Modified: 2008-02-12 12:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-12 12:31:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 2005-10-19 20:55:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Galeon/1.3.21

Description of problem:
If the CDDB query returns data with high-bit characters, such as umlauts or other accents, the items with high bit data get ignored.  This causes some tracks to have the wrong title.  If there is such a character in the title, the CDDB query appears not to connect to the server (it in fact has connected, but the dialog makes it look like it's still waiting).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start xcdroast
2. Insert a CD with accents in its title or songs
3. Click "Create CD/DVD"
4. Click "Query CDDB"

Actual Results:  If the title had an umlaut or other accent character, it never returns from the freedb query.  If any track had such a character, that track title is omitted from the track list, and all following track titles are moved up by one track.  If there are three tracks with umlauts in their titles, the last three tracks have no title and all tracks starting from the first track with an umlaut character have the wrong title.

Expected Results:  Umlauts should be preserved in the title and tracks.

Additional info:

If you click "Edit titles for CD-Text", you can enter umlaut data and it takes them fine.

Comment 1 Matthew Miller 2006-07-10 19:16:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-12 12:31:55 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.